Bug 110888 - anaconda should have a poweroff option
anaconda should have a poweroff option
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-11-25 04:33 EST by Stefan Christians
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-05 11:45:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stefan Christians 2003-11-25 04:33:52 EST
Description of problem:
There already is a kickstart 'reboot' option.
It would be very helpful to have a 'poweroff' option as well.
That would allow remote installations on Friday evening and the hosts
would not be on all weekend until somebody switches them off on Monday

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. include a line 'poweroff' in the commands section of the ks.cfg file

Actual Results:  kickstart does not understand the poweroff command

Expected Results:  the system should shut down after completed

Additional info:

This is really a very simple thing, so I would love to provide a patch.
Unfortuantely, I do not speak Python.
But for anybody who does, it should be fairly easy to implement a
mechanism more or less in parallel to what the 'reboot' option does.
Comment 1 Christoffer Leitet 2004-05-11 11:28:33 EDT
Can't you just make a call to /sbin/poweroff in the %POST section of
the kickstart file?
Comment 2 Stefan Christians 2004-05-11 23:35:56 EDT
Good point, but actually it depends on how the %post script is
executed by anaconda.

If anaconda "calls" the %post section and waits for it to finish and
give control back to anaconda, /sbin/poweroff should not be called
from %post.

If the running anaconda process replaces itself with the %post script
(like perl's exec function), calling /sbin/poweroff from within %post
should be acceptable.
Comment 3 Jeremy Katz 2004-10-05 11:45:42 EDT
There are now reboot, halt and poweroff commands implemented for

Note You need to log in before you can comment on or make changes to this bug.